Subject: Re: [PATCH] [POWERPC] 4xx: Add endpoint support to 4xx PCIe driver

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 10 Apr 2008 22:23:02 +1000

On Thu, 2008-04-10 at 13:59 +0200, Stefan Roese wrote:
> Understood. But for this "dynamic" root-complex/endpoint configuration as 
> implemented with the current version of the patch, I can't change the PCIe 
> node in the dts from root-complex mode to endpoint mode, since I would loose 
> root-complex functionality. Perhaps I'm missing something here.

Well, I would expect the firmware (ie. uboot) to provide the right
device-node type...

Ben.